Environment API
Upload a content-addressed initial agent file for deployment in this environment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/initial-agent-files | POST | Yes |
Request Form: multipart/form-data
Make sure to include
Content-Type: multipart/form-dataHeader
Field file: string binary
Example Response JSON
{
"contentHash": "string",
"size": 0
}List all application environments
| Path | Method | Protected |
|---|---|---|
/v1/apps/{application_id}/envs | GET | Yes |
Example Response JSON
{
"values": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"applicationName": "string",
"name": "string",
"diffModelVersion": 0,
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"currentDeployment": {
"revision": 0,
"deploymentRevision": 0,
"deploymentVersion": "string",
"deploymentHash": "string"
}
}
]
}Create an application environment
| Path | Method | Protected |
|---|---|---|
/v1/apps/{application_id}/envs | POST | Yes |
Example Request JSON
{
"name": "string",
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true
}Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"applicationName": "string",
"name": "string",
"diffModelVersion": 0,
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"currentDeployment": {
"revision": 0,
"deploymentRevision": 0,
"deploymentVersion": "string",
"deploymentHash": "string"
}
}Get application environment by name
| Path | Method | Protected |
|---|---|---|
/v1/apps/{application_id}/envs/{environment_name} | GET | Yes |
Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"applicationName": "string",
"name": "string",
"diffModelVersion": 0,
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"currentDeployment": {
"revision": 0,
"deploymentRevision": 0,
"deploymentVersion": "string",
"deploymentHash": "string"
}
}Get environment by id.
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id} | GET | Yes |
Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"applicationName": "string",
"name": "string",
"diffModelVersion": 0,
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"currentDeployment": {
"revision": 0,
"deploymentRevision": 0,
"deploymentVersion": "string",
"deploymentHash": "string"
}
}Delete environment by id.
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id} | DELETE | Yes |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| current_revision | integer | Yes | - |
Update environment by id.
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id} | PATCH | Yes |
Example Request JSON
{
"currentRevision": 0,
"name": "string",
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true
}Example Response JSON
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"applicationId": "97ab27fa-30e2-43e3-92a3-160e80f4c0d5",
"applicationName": "string",
"name": "string",
"diffModelVersion": 0,
"compatibilityCheck": true,
"toolCompatibilityMode": "strict-equality",
"versionCheck": true,
"securityOverrides": true,
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"currentDeployment": {
"revision": 0,
"deploymentRevision": 0,
"deploymentVersion": "string",
"deploymentHash": "string"
}
}Get the current deployment plan
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/plan | GET | Yes |
Example Response JSON
{
"currentRevision": 0,
"deploymentHash": "string",
"components": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"name": "string",
"hash": "string"
}
],
"httpApiDeployments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"domain": "string",
"hash": "string"
}
],
"mcpDeployments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"domain": "string",
"hash": "string"
}
],
"mcpImports": [
{
"index": 0,
"hash": "string"
}
],
"remoteTools": [
{
"name": "string",
"hash": "string"
}
],
"publishedTools": [
"string"
],
"remoteToolMiddlewares": [
{
"name": "string",
"hash": "string"
}
],
"publishedToolMiddlewares": [
"string"
],
"universalToolMiddlewares": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"toolCompatibilityMode": "strict-equality",
"environmentToolMiddlewareBindings": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
},
"agentToolMiddlewareBindings": {
"property1": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
},
"property2": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
}
},
"ambientTools": [
{
"releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85",
"name": "string",
"version": "string",
"sourceDigest": "string",
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"metadataVersion": "string",
"metadataDigest": "string",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"provision": {
"config": {},
"env": {},
"plugins": [],
"files": []
},
"environmentBinding": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
}
]
}Rollback an environment to a previous deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/current-deployment | PUT | Yes |
Example Request JSON
{
"currentRevision": 0,
"deploymentRevision": 0
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"revision": 0,
"version": "string",
"deploymentHash": "string",
"currentRevision": 0,
"validationWarnings": []
}List all deployments in this environment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments | GET | Yes |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| version | string | No | - |
Example Response JSON
{
"values": [
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"revision": 0,
"version": "string",
"deploymentHash": "string"
}
]
}Deploy the current staging area of this environment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments | POST | Yes |
Example Request JSON
{
"currentRevision": 0,
"expectedDeploymentHash": "string",
"version": "string",
"agentSecretDefaults": [
{
"path": [
"string"
],
"secretValue": null
}
],
"quotaResourceDefaults": [
{
"name": "string",
"limit": {
"type": "Rate",
"value": 0,
"period": "second",
"max": 0
},
"enforcementAction": "reject",
"unit": "string",
"units": "string"
}
],
"retryPolicyDefaults": [
{
"name": "string",
"priority": 0,
"predicate": {
"type": "PropLte",
"property": "string",
"value": {
"type": "Text",
"value": "string"
}
},
"policy": {
"type": "Periodic",
"delayMs": 0
}
}
],
"publishTools": [],
"remoteTools": [],
"mcpImports": [],
"publishToolMiddlewares": [],
"remoteToolMiddlewares": [],
"universalToolMiddlewares": [],
"environmentToolMiddlewareBindings": {},
"agentToolMiddlewareBindings": {},
"replaceIncompatibleAgentSecrets": false
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"revision": 0,
"version": "string",
"deploymentHash": "string",
"currentRevision": 0,
"validationWarnings": []
}Get the deployment summary of a deployed deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/summary | GET | Yes |
Example Response JSON
{
"deploymentRevision": 0,
"deploymentHash": "string",
"components": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"name": "string",
"hash": "string"
}
],
"httpApiDeployments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"domain": "string",
"hash": "string"
}
],
"mcpDeployments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"revision": 0,
"domain": "string",
"hash": "string"
}
],
"mcpImports": [
{
"index": 0,
"hash": "string"
}
],
"remoteTools": [
{
"name": "string",
"hash": "string"
}
],
"publishedTools": [
"string"
],
"remoteToolMiddlewares": [
{
"name": "string",
"hash": "string"
}
],
"publishedToolMiddlewares": [
"string"
],
"universalToolMiddlewares": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"toolCompatibilityMode": "strict-equality",
"environmentToolMiddlewareBindings": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
},
"agentToolMiddlewareBindings": {
"property1": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
},
"property2": {
"property1": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
},
"property2": {
"version": "string",
"parameters": {},
"account": "string",
"configKeysReadable": {
"kind": "all"
},
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset",
"middleware": [
{
"name": "string",
"version": "string",
"parameters": {},
"account": "string",
"secretKeysReadable": {
"kind": "all"
},
"secretKeysRevealable": {
"kind": "all"
},
"filesystemAccess": "unset"
}
],
"middlewareMergeMode": "prepend"
}
}
}
}List all registered agent types in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/agent-types | GET | Yes |
Example Response JSON
{
"values": [
{
"agentType": {
"type_name": "string",
"kind": "regular",
"description": "string",
"source_language": "string",
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"constructor": {
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
}
},
"methods": [
{
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
},
"output_schema": {
"tag": "unit"
},
"http_endpoint": [
{
"httpMethod": {
"type": "Any"
},
"pathSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"headerVars": [
{
"headerName": "string",
"variableName": "string"
}
],
"queryVars": [
{
"queryParamName": "string",
"variableName": "string"
}
],
"authDetails": {
"required": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"durableStreams": {
"slots": [
{
"source": {
"type": "input",
"name": "string"
},
"name": "string",
"contentType": "string"
}
],
"allowExternalWrites": true,
"allowStreamDelete": true,
"allowInvocationDelete": true,
"load": {
"maxConcurrentReadersPerStream": 0,
"maxAppendRequestsPerSecondPerStream": 0
}
}
}
],
"read_only": {
"cachePolicy": {
"type": "UntilWrite"
},
"usesPrincipal": true
}
}
],
"dependencies": [
{
"type_name": "string",
"description": "string",
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"constructor": {
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
}
},
"methods": [
{
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
},
"output_schema": {
"tag": "unit"
},
"http_endpoint": [
{
"httpMethod": {
"type": "Any"
},
"pathSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"headerVars": [
{
"headerName": "string",
"variableName": "string"
}
],
"queryVars": [
{
"queryParamName": "string",
"variableName": "string"
}
],
"authDetails": {
"required": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"durableStreams": {
"slots": [
{
"source": {
"type": "input",
"name": "string"
},
"name": "string",
"contentType": "string"
}
],
"allowExternalWrites": true,
"allowStreamDelete": true,
"allowInvocationDelete": true,
"load": {
"maxConcurrentReadersPerStream": 0,
"maxAppendRequestsPerSecondPerStream": 0
}
}
}
],
"read_only": {
"cachePolicy": {
"type": "UntilWrite"
},
"usesPrincipal": true
}
}
]
}
],
"mode": "Durable",
"http_mount": {
"pathPrefix": [
{
"type": "Literal",
"value": "string"
}
],
"authDetails": {
"required": true
},
"phantomAgent": true,
"phantomIdBinding": {
"type": "Path",
"name": "string",
"optional": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"webhookSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"staticBindings": [
{
"type": "Exact",
"publicPath": [
"string"
],
"filePath": "string"
}
],
"filesystemBindings": [
{
"type": "Exact",
"publicPath": [
"string"
],
"filePath": "string"
}
],
"fileResponseHeaders": [
{
"name": "string",
"value": "string"
}
],
"openapiProviderMethod": "string"
},
"snapshotting": {
"type": "Disabled"
},
"config": [
{
"source": "Local",
"path": [
"string"
],
"value_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
]
},
"implementedBy": {
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"accountEmail": "string"
},
"webhookPrefixAuthorityAndPath": "string"
}
]
}Get a registered agent type in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/agent-types/{agent_type_name} | GET | Yes |
Example Response JSON
{
"agentType": {
"type_name": "string",
"kind": "regular",
"description": "string",
"source_language": "string",
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"constructor": {
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
}
},
"methods": [
{
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
},
"output_schema": {
"tag": "unit"
},
"http_endpoint": [
{
"httpMethod": {
"type": "Any"
},
"pathSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"headerVars": [
{
"headerName": "string",
"variableName": "string"
}
],
"queryVars": [
{
"queryParamName": "string",
"variableName": "string"
}
],
"authDetails": {
"required": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"durableStreams": {
"slots": [
{
"source": {
"type": "input",
"name": "string"
},
"name": "string",
"contentType": "string"
}
],
"allowExternalWrites": true,
"allowStreamDelete": true,
"allowInvocationDelete": true,
"load": {
"maxConcurrentReadersPerStream": 0,
"maxAppendRequestsPerSecondPerStream": 0
}
}
}
],
"read_only": {
"cachePolicy": {
"type": "UntilWrite"
},
"usesPrincipal": true
}
}
],
"dependencies": [
{
"type_name": "string",
"description": "string",
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"constructor": {
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
}
},
"methods": [
{
"name": "string",
"description": "string",
"prompt_hint": "string",
"input_schema": {
"tag": "parameters",
"value": [
{
"name": "string",
"source": {
"tag": "user-supplied"
},
"schema": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
]
},
"output_schema": {
"tag": "unit"
},
"http_endpoint": [
{
"httpMethod": {
"type": "Any"
},
"pathSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"headerVars": [
{
"headerName": "string",
"variableName": "string"
}
],
"queryVars": [
{
"queryParamName": "string",
"variableName": "string"
}
],
"authDetails": {
"required": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"durableStreams": {
"slots": [
{
"source": {
"type": "input",
"name": "string"
},
"name": "string",
"contentType": "string"
}
],
"allowExternalWrites": true,
"allowStreamDelete": true,
"allowInvocationDelete": true,
"load": {
"maxConcurrentReadersPerStream": 0,
"maxAppendRequestsPerSecondPerStream": 0
}
}
}
],
"read_only": {
"cachePolicy": {
"type": "UntilWrite"
},
"usesPrincipal": true
}
}
]
}
],
"mode": "Durable",
"http_mount": {
"pathPrefix": [
{
"type": "Literal",
"value": "string"
}
],
"authDetails": {
"required": true
},
"phantomAgent": true,
"phantomIdBinding": {
"type": "Path",
"name": "string",
"optional": true
},
"corsOptions": {
"allowedPatterns": [
"string"
]
},
"webhookSuffix": [
{
"type": "Literal",
"value": "string"
}
],
"staticBindings": [
{
"type": "Exact",
"publicPath": [
"string"
],
"filePath": "string"
}
],
"filesystemBindings": [
{
"type": "Exact",
"publicPath": [
"string"
],
"filePath": "string"
}
],
"fileResponseHeaders": [
{
"name": "string",
"value": "string"
}
],
"openapiProviderMethod": "string"
},
"snapshotting": {
"type": "Disabled"
},
"config": [
{
"source": "Local",
"path": [
"string"
],
"value_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
]
},
"implementedBy": {
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"accountEmail": "string"
},
"webhookPrefixAuthorityAndPath": "string"
}List all registered tools in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/tools | GET | Yes |
Example Response JSON
{
"values": [
{
"deploymentRevision": 0,
"releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"source": {
"kind": "component",
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string"
},
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"metadataVersion": "string",
"metadataDigest": "string"
}
]
}Get a registered tool in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/tools/{tool_name} | GET | Yes |
Example Response JSON
{
"deploymentRevision": 0,
"releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"source": {
"kind": "component",
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string"
},
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"metadataVersion": "string",
"metadataDigest": "string"
}List all registered tool middleware in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/tool-middlewares | GET | Yes |
Example Response JSON
{
"values": [
{
"deploymentRevision": 0,
"releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85",
"definition": {
"name": "string",
"version": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"scope": {
"kind": "monomorphic",
"value": {
"presented": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"value": {}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"shape": {
"kind": "bool-flag",
"value": {}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"examples": []
},
"value_name": "string",
"type_": {
"value": {}
},
"default": {},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"value": {}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"shape": {
"kind": "bool-flag",
"value": {}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"formatters": [
{
"name": "string",
"doc": {
"examples": []
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"expected": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"value": {}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"shape": {
"kind": "bool-flag",
"value": {}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"examples": []
},
"value_name": "string",
"type_": {
"value": {}
},
"default": {},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"value": {}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"shape": {
"kind": "bool-flag",
"value": {}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"formatters": [
{
"name": "string",
"doc": {
"examples": []
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
null
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
}
}
},
"parameter_schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"provision": {
"config": {},
"env": {},
"plugins": [],
"files": []
},
"source": {
"kind": "component",
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string"
},
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"metadataVersion": "string",
"metadataDigest": "string"
}
]
}Get registered tool middleware in a deployment
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_id}/tool-middlewares/{middleware_name} | GET | Yes |
Example Response JSON
{
"deploymentRevision": 0,
"releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85",
"definition": {
"name": "string",
"version": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"scope": {
"kind": "monomorphic",
"value": {
"presented": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"expected": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"aliases": [],
"examples": []
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
}
}
},
"parameter_schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
},
"provision": {
"config": {},
"env": {},
"plugins": [],
"files": []
},
"source": {
"kind": "component",
"componentId": "616ccd92-d666-4180-8349-8d125b269fac",
"componentRevision": 0,
"componentName": "string"
},
"ownerAccountId": "2936251c-eefb-44ec-9d94-a810fc3cf72b",
"ownerAccountEmail": "string",
"metadataVersion": "string",
"metadataDigest": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/mcp-imports/oauth/authorize | POST | Yes |
Example Request JSON
{
"import": {
"url": "string",
"auth": {
"bearer": "string",
"basic": {
"user": "string",
"password": "string"
}
},
"securityScheme": "string",
"prefix": "string",
"include": [
"string"
],
"exclude": [
"string"
],
"version": "string"
}
}Example Response JSON
{
"authorizationUrl": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/mcp-imports/oauth/complete | POST | Yes |
Example Request JSON
{
"import": {
"url": "string",
"auth": {
"bearer": "string",
"basic": {
"user": "string",
"password": "string"
}
},
"securityScheme": "string",
"prefix": "string",
"include": [
"string"
],
"exclude": [
"string"
],
"version": "string"
},
"callback": {
"state": "string",
"issuer": "string",
"code": "string",
"error": "string"
}
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/mcp-imports/oauth/status | POST | Yes |
Example Request JSON
{
"import": {
"url": "string",
"auth": {
"bearer": "string",
"basic": {
"user": "string",
"password": "string"
}
},
"securityScheme": "string",
"prefix": "string",
"include": [
"string"
],
"exclude": [
"string"
],
"version": "string"
}
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/mcp-imports/oauth/disconnect | POST | Yes |
Example Request JSON
{
"import": {
"url": "string",
"auth": {
"bearer": "string",
"basic": {
"user": "string",
"password": "string"
}
},
"securityScheme": "string",
"prefix": "string",
"include": [
"string"
],
"exclude": [
"string"
],
"version": "string"
}
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/oauth/authorize | POST | Yes |
Example Response JSON
{
"authorizationUrl": "string",
"deploymentRevision": 0,
"importIndex": 0
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/oauth/complete | POST | Yes |
Example Request JSON
{
"state": "string",
"issuer": "string",
"code": "string",
"error": "string"
}Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"deploymentRevision": 0,
"importIndex": 0,
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/oauth | GET | Yes |
Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"deploymentRevision": 0,
"importIndex": 0,
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/oauth | DELETE | Yes |
Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"deploymentRevision": 0,
"importIndex": 0,
"securityScheme": "string",
"status": "string"
}undefined
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/mcp-imports/resolve | POST | Yes |
Example Request JSON
{
"imports": [
{
"url": "string",
"auth": {
"bearer": "string",
"basic": {
"user": "string",
"password": "string"
}
},
"securityScheme": "string",
"prefix": "string",
"include": [
"string"
],
"exclude": [
"string"
],
"version": "string"
}
],
"nativeToolNames": [
"string"
]
}Example Response JSON
{
"protocolVersions": [
"string"
],
"tools": [
{
"importIndex": 0,
"upstreamName": "string",
"digest": "string",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
}
}
],
"diagnostics": [
{
"importIndex": 0,
"upstreamName": "string",
"reason": "string"
}
]
}Inspect projected tools from an import in a specific deployment.
Cache misses fetch upstream metadata on demand. This is the individual import’s projection, before native and earlier-import precedence. Requires environment/deployment visibility and ViewTools; network requests use the owner’s quota.
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/tools | GET | Yes |
Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"deploymentRevision": 0,
"importIndex": 0,
"protocolVersion": "string",
"tools": [
{
"upstreamName": "string",
"digest": "string",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
}
}
],
"diagnostics": [
{
"upstreamName": "string",
"reason": "string"
}
]
}Refresh and inspect projected tools from an import in a specific deployment.
Uses the same permissions and owner quota as inspection, bypassing cached success. Upstream failure is returned explicitly rather than serving stale metadata.
| Path | Method | Protected |
|---|---|---|
/v1/envs/{environment_id}/deployments/{deployment_revision}/mcp-imports/{import_index}/refresh | POST | Yes |
Example Response JSON
{
"environmentId": "19f5cc2e-7657-437a-9268-83cd3d563563",
"deploymentRevision": 0,
"importIndex": 0,
"protocolVersion": "string",
"tools": [
{
"upstreamName": "string",
"digest": "string",
"definition": {
"version": "string",
"requires_filesystem": true,
"commands": {
"nodes": [
{
"name": "string",
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"globals": {
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
]
},
"subcommands": [
0
],
"body": {
"positionals": {
"fixed": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"accepts_stdio": true
}
],
"tail": {
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"item_type": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"min": 0,
"max": 0,
"separator": "string",
"verbatim": true,
"accepts_stdio": true
}
},
"options": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"value_name": "string",
"shape": {
"kind": "scalar",
"value": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
null
],
"examples": [
null
],
"deprecated": "string",
"role": {}
}
}
}
},
"default": {
"kind": "bool",
"value": true
},
"required": true,
"env_var": "string"
}
],
"flags": [
{
"long": "string",
"short": null,
"aliases": [
"string"
],
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"shape": {
"kind": "bool-flag",
"value": {
"default": true,
"negatable": true
}
},
"env_var": "string"
}
],
"constraints": [
{
"kind": "requires-all",
"value": [
{
"kind": "present",
"value": "string"
}
]
}
],
"stdin": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stdout": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"stderr": {
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"mime": [
"string"
],
"required": true
},
"result": {
"type_": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
},
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"formatters": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
}
}
],
"default_formatter": "string"
},
"errors": [
{
"name": "string",
"doc": {
"summary": "string",
"description": "string",
"examples": [
{
"title": "string",
"body": "string"
}
]
},
"kind": "usage-error",
"exit_code": 0,
"payload": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
}
]
},
"schema": {
"defs": [
{
"id": "string",
"name": "string",
"body": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
],
"root": {
"kind": "ref",
"value": {
"id": "string",
"metadata": {
"doc": "string",
"aliases": [
"string"
],
"examples": [
"string"
],
"deprecated": "string",
"role": {
"tag": "multimodal"
}
}
}
}
}
}
}
],
"diagnostics": [
{
"upstreamName": "string",
"reason": "string"
}
]
}Environment API Errors
| Status Code | Description | Body |
|---|---|---|
| 400 | Invalid request, returning with a list of issues detected in the request | {"code":"string","errors":["string"]} |
| 401 | Unauthorized request | {"code":"string","error":"string"} |
| 403 | Forbidden Request | {"code":"string","error":"string"} |
| 404 | Entity not found | {"code":"string","error":"string"} |
| 409 | {"code":"string","error":"string"} | |
| 422 | Limits of the plan exceeded | {"code":"string","error":"string"} |
| 500 | Internal server error | {"code":"string","error":"string"} |